models/ContactForm.php
<?php

namespace app\models;

use Yii;
use yii\base\Model;

/**
 * ContactForm is the model behind the contact form.
 */
class ContactForm extends Model
{
    public $name;
    public $email;
    public $subject;
    public $body;
    public $verifyCode;


    /**
     * @return array the validation rules.
     */
    public function rules()
    {
        return [
            // name, email, subject and body are required
            [['name', 'email', 'subject', 'body'], 'required'],
            // email has to be a valid email address
            ['email', 'email'],
            // verifyCode needs to be entered correctly
            ['verifyCode', 'captcha'],
        ];
    }

    /**
     * @return array customized attribute labels
     */
    public function attributeLabels()
    {
        return [
            'verifyCode' => 'Verification Code',
        ];
    }

    /**
     * Sends an email to the specified email address using the information collected by this model.
     * @param string $email the target email address
     * @return bool whether the model passes validation
     */
    public function contact($email)
    {
        if ($this->validate()) {
            Yii::$app->mailer->compose()
                ->setTo($email)
                ->setFrom([Yii::$app->params['senderEmail'] => Yii::$app->params['senderName']])
                ->setReplyTo([$this->email => $this->name])
                ->setSubject($this->subject)
                ->setTextBody($this->body)
                ->send();

            return true;
        }
        return false;
    }
}

models/Productosjota.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "productosjota".
 *
 * @property int $id
 * @property string|null $nombre
 * @property string|null $foto
 * @property string|null $descripcion
 * @property int|null $precio
 * @property int|null $oferta
 */
class Productosjota extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'productosjota';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['precio', 'oferta'], 'integer'],
            [['nombre', 'foto'], 'string', 'max' => 20],
            [['descripcion'], 'string', 'max' => 100],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'foto' => 'Foto',
            'descripcion' => 'Descripcion',
            'precio' => 'Precio',
            'oferta' => 'Oferta',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Productosjota;
use app\models\categorias;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionInicio()
    {
        return $this->render('index');
    }

     public function actionOfertas()
    {
        $resultado=Productosjota::find()->where(["oferta"=>true]);
        $dataProvider = new ActiveDataProvider([
         'query' => $resultado,
        'pagination' => [
        'pageSize' => 20,
    ],
]);
        
        return $this->render('ofertas',[
            "data"=>$dataProvider,
        ]);
    }
    
   public function actionProductos()
    {
       
       
        $resultado1=Productosjota::find();
        
        $dataProvider = new ActiveDataProvider([
         'query' => $resultado1,
        'pagination' => [
        'pageSize' => 20,
    ],
]);
        
         return $this->render('productos',[
            "data"=>$dataProvider,
        ]);
    }

     public function actionCategorias()
    
           {
       
       
        $resultado2=categorias::find();
        
        $dataProvider = new ActiveDataProvider([
         'query' => $resultado2,
        'pagination' => [
        'pageSize' => 20,
    ],
]);
        
         return $this->render('categorias',[
            "data"=>$dataProvider,
        ]);
    }

         
         
  public function actionNosotros()
    {
        return $this->render('nosotros');
    } 
      public function actionContacto()
    {
        return $this->render('contacto');
    } 
    
    
    
    
    
    
    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Inicio', 'url' => ['/site/inicio']],
            ['label' => 'Ofertas', 'url' => ['/site/ofertas']],
            ['label' => 'Productos', 'url' => ['/site/productos']],
            ['label' => 'Categoria', 'url' => ['/site/categorias']],
            ['label' => 'Nosotros',
                'items'=>[
                    
                    ['label' => 'Donde estamos', 'url' => '#'],
               ['label' => 'Quienes somos', 'url' => '#'],
               ['label' => 'Nuestros productos', 'url' => '#'],
                   '<li class="divider"></li>',
                   ['label' => 'Informacion', 'url' => ['/site/categorias']], 
                   ],
              
               ],
                
                
                ['label' => 'Contacto','<i class="fa fa-home"></i>', 'url' => ['/site/contacto']],
            
         
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>


<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/_categorias.php
<?php

use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
?>


<div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      
      <div class="caption">
        <h3><?= $model->id ?></h3>
        <p><?= $model->nombre ?></p>
        <p><?=Html::img("@web/imgs/".$model->foto)?></p>
         <p><?=$model->descripcion?></p>
         
        
      </div>
    </div>
  </div>

views/site/_ofertas.php
<?php

use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
?>
<style type="text/css">
    
    h3{
        
        font-size: 20px;
        text-align: center;
        color: red;
    }
    
</style>
<div class="col-sm-6 col-md-4">
     
    <div class="thumbnail">
      <h3>Producto en oferta</h3>
      <div class="caption">
        <h4><?= $model->id ?></h4>
        <p><?= $model->nombre ?></p>
        <p><?=Html::img("@web/imgs/".$model->foto)?></p>
         <p><?=$model->descripcion?></p>
         <p><?=$model->oferta?></p>
      </div>
    </div>
  </div>

views/site/_productos.php
<?php

use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
?>


<div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      
      <div class="caption">
        <h3><?= $model->id ?></h3>
        <p><?= $model->nombre ?></p>
        <p><?=Html::img("@web/imgs/".$model->foto)?></p>
         <p><?=$model->descripcion?></p>
         <p><?=$model->precio?></p>
        
      </div>
    </div>
  </div>

views/site/categorias.php
<?php 
use yii\grid\GridView;
?>
<div class="row">
<?=     GridView::widget([
    'dataProvider' => $data,
    'itemView' => '_categorias',
]);?>

</div>

views/site/contacto.php
<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <meta charset="UTF-8">
        
        <title></title>
        <style type="text/css">
            
            .container{box-sizing:border-box;
  
}

form{
	width:300px;
	padding:16px;
	border-radius:10px;
	margin:auto;
	background-color:#ccc;
}

form label{
	width:72px;
	font-weight:bold;
	display:inline-block;
}

form input[type=text], form input[type=email]{
	width:180px;
	padding:3px 10px;
	border:1px solid #f6f6f6;
	border-radius:3px;
	background-color:#f6f6f6;
	margin:8px 0;
	display:inline-block;
}

form input[type=submit]{
	width:100%;
	padding:8px 16px;
	margin-top:32px;
	border:1px solid #000;
	border-radius:5px;
	display:block;
	color:#fff;
	background-color:#000;
} 

form input[type=submit]:hover{
	cursor:pointer;
}

textarea{
	width:100%;
	height:100px;
	border:1px solid #f6f6f6;
	border-radius:3px;
	background-color:#f6f6f6;			
	margin:8px 0;
	/*resize: vertical | horizontal | none | both*/
	resize:none;
	display:block;
}

h1{
	text-align:center;
	color:white;
	font-style:italic;
	font-family:"Century Gothic";
	margin:50px;
}

.formulario{
   margin:auto;
}

            
            
            
            
            
            
        </style>
        
        
        
    </head>
    <body>
        <div class="container">

 <div class="row">
 
    <div class="col-md-12 col-12">
    
            <h1>Formulario de registro</h1>
    
          <div class="formulario">
       
            <form action="#" target="" method="get" name="formDatosPersonales">

	<label for="nombre">Nombre</label>
	<input type="text" name="nombre" id="nombre" placeholder="Escribe tu nombre"/>

	<label for="apellidos">Apellidos</label>
	<input type="text" name="apellidos" id="apellidos" placeholder="1r Apellido"/>

	<label for="email">Email</label>
	<input type="email" name="email" id="email" placeholder="email" required />

	<label for="asunto">Asunto</label>
	<input type ="text" name="asunto" id="asunto" placeholder="titular de la consulta"/>

	<label for="mensaje">Mensaje</label>
	<textarea name="mensaje" for="mensaje" placeholder="describe brevemente en menos de 300 carácteres" maxlength="300"></textarea>
	
	<input type="submit" name="enviar" value="enviar datos"/>
</form>

     

       
    </div>

    
    
    
    
 </div>
 </div>
</div>

        
    </body>
</html>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */
use yii\helpers\Html;

$this->title = 'My Yii Application';
?>

<div class="site-index">

    <div class="jumbotron">
        <h1>JOTA</h1>

        <p class="lead">Tienda dedicada a la venta de productos tecnologicos y visuales</p>

       
    </div>

    <div class="body-content">

        <div class="row">
            <div class="col-lg-12">
              

                <p>Si hay una temática donde existen miles de tiendas en internet es en la tecnología. Por esta razón, al existir tantas tiendas con miles de productos, es importante 
                    comparar y ver en qué producto destaca cada una de ellas y cuál tiene el mejor precio para el artículo que queramos comprar.
Existen tiendas de reconocido prestigio como Amazon, Redcoon, Fnac, Pccomponenetes… en las que puedes comprar con total confianza ya que tienen un historial impecable y son reconocidas
por todo el mundo. Sin embargo, si por alguna razón te ves tentado a comprar en una tienda que no conoces de nada o que nunca has oido hablar de ella, nuestra recomendación es que
busques información de ella en internet y leas opiniones de la gente antes de decidirte a comprar cualquier artículo.
Si existe alguna temática de productos donde abundan las tiendas falsas que aparecen y desaparecen como por arte de magia esa es sin duda la tecnología. Por norma general los aparatos
electrónicos son muy jugosos porque tienen un precio alto y cualquier descuento o precio atractivo que se encuentre en la red llama la atención y tienta mucho su compra si es una oferta
interesante. Esto sirve de gancho en muchas ocasiones para engañar al consumidor y aprovecharse de él. Por esta razón, recomendamos siempre comprar en tiendas con buena reputación online o por lo menos informarse previamente sobre la que nos interese y leer que opina la gente de ella.

           </p>
       <div class="row">
            <div class="col-lg-12">
           <?php echo Html::img("@web/imgs/fondo.jpg")?>
        </div>

    </div>
</div>

views/site/inicio.php
<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
       sfsffsd
    </body>
</html>

views/site/nosotros.php
<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
       aqui eseta la pagina nosotros
    </body>
</html>

views/site/ofertas.php
<?php 
use \yii\widgets\ListView;
?>
<div class="row">
<?= ListView::widget([
    'dataProvider' => $data,
    'itemView' => '_ofertas',
]);?>

</div>

views/site/productos.php
<?php 
use \yii\widgets\ListView;
?>
<div class="row">
<?= ListView::widget([
    'dataProvider' => $data,
    'itemView' => '_productos',
]);?>

</div>